{% extends 'partials/base.html.twig' %}

{% block content %}

	{% set tags = [] %}
	{% for k, v in page.taxonomy.category %}
		{% set tags = tags|merge([v]) %}
	{% endfor %}
	{% for k, v in page.taxonomy.type %}
		{% set tags = tags|merge([v]) %}
	{% endfor %}
	{% for k, v in page.taxonomy.status %}
		{% set tags = tags|merge([v]) %}
	{% endfor %}
	
	{% set date = page.header.custom.publishdate %}
	{% set month = date|date('F')|upper %}
	{% set month = 'JOBTECH.MONTH.'~month %}

	<div class="page_block">
		<div class="page_menu">
			{% include('/partials/page_header_logo.html.twig') with {'black': true} %}
			<div class="side_menu">
				<div>
					{% for link in page.header.custom.menu %}
						{% set target = link.url starts with 'http' ? "blank" : " " %}
						<div class="menu_item">
							<a href="{{link.url}}" target="{{target}}">
								{{link.title}}
							</a>
						</div>
					{% endfor %}
				</div>
				{% if page.header.custom.contact_email %}
					<div class="contact text_fact">
						<div>{{'JOBTECH.CONTENT.EMAIL_CONTACT'|t}}</div>
						<a href="mailto:{{page.header.custom.contact_email}}?subject={{page.header.custom.title|replace({' ': '-'}) }}">
							{{page.header.custom.contact_name}}
						</a>
					</div>
				{% endif %}
			</div>
		</div>
		<div class="page_site_content">
			<div class="block_content component">
				{% include('/partials/page_header_menu.html.twig') with {'black': true, 'productLinks': page.header.custom.menu} %}
					<div class="bread">
					{% include('/partials/breadcrumbs.html.twig') %}
					</div>							
				<div id="main" class="squeezed row name">									
					<h1 class="title r3">
						{{page.header.custom.title|raw}}
					</h1>
						
					<div class="tags">
						{% for v in tags %}
							<div class="filter_tag">{{v}}</div>
						{% endfor %}
					</div>
				</div>
				<div class="description_block squeezed r2">
					{{page.header.custom.description|raw}}
				</div>
				<div class="block_1 squeezed text_normal">
					{{page.header.custom.block_1|markdown}}
				</div>
				<div class="block_2 text_fact">
					{{page.header.custom.block_2|markdown}}
				</div>
				<div class="divider"></div>
				<div class="product_info squeezed">
					{% for element in page.header.custom.product_info %}
						<div class="product_tag">
							<div>{{element.title|raw}}</div>
							<div>{{element.value|raw}}</div>
						</div>
					{% endfor %}
				</div>
			</div>
		</div>
	</div>
	
{% endblock %}
